<?php

namespace EventPortal\Domain\Component;

use EventPortal\Domain\Field\Enums\FieldType;

class Display extends Input
{
    /**
     * @param string|array $value
     * @return $this
     */
    public function value($value): Input
    {
        $this->value = Value::get($value);

        return $this;
    }

    public function type(): FieldType
    {
        return FieldType::TextData();
    }

    /**
     * Returns the component as an array.
     */
    public function toArray(): array
    {
        $data = [
            'component' => $this->type,
            'name' => $this->name,
            'label' => $this->label,
        ];

        if ($this->classes !== []) {
            $data['classes'] = $this->classes;
        }

        $data['value'] = $this->value;

        return $data;
    }
}
