<?php

namespace EventPortal\Domain\Component;

use Illuminate\Support\Str;

class Option
{
    /** @var string */
    public $label;

    /** @var null|mixed */
    public $value;

    public function __construct(string $label)
    {
        $this->label = $label;
        $this->value = Str::lower($label);
    }

    public static function make(string $label): self
    {
        return new static($label);
    }

    /**
     * @param mixed $value
     */
    public function value($value): self
    {
        $this->value = $value;

        return $this;
    }

    public function toArray(): array
    {
        return [
            'label' => $this->label,
            'value' => $this->value,
        ];
    }
}
