<?php

namespace EventPortal\Domain\User\Models;

use EventPortal\Concerns\HasFields as HasFieldsConcern;
use EventPortal\Contracts\HasFields;
use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Table\GroupedActions;
use EventPortal\Enums\InertiaMethod;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;

class User extends Model implements HasFields
{
    use HasFieldsConcern, Notifiable;

    /** @var array<string> */
    protected $guarded = [];

    public function tableActions(): GroupedActions
    {
        return GroupedActions::make('Manage user')
            ->add(function (): Button {
                return Button::make('View')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.user.show', ['user' => $this->id]);
            })
            ->add(function (): Button {
                return Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.user.edit', ['event' => $this->id]);
            });
    }
}
