<?php

namespace EventPortal\Exceptions\Solutions;

use Facade\IgnitionContracts\RunnableSolution;
use Illuminate\Support\Facades\Artisan;

class NoDefaultConfigSolution implements RunnableSolution
{
    public function getSolutionActionDescription(): string
    {
        return '';
    }

    public function getRunButtonText(): string
    {
        return 'Publish the configs';
    }

    // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter
    public function run(array $parameters = []): void
    {
        // phpcs:enable
        Artisan::call('vendor:publish', ['--tag' => 'defaults']);
    }

    public function getRunParameters(): array
    {
        return [];
    }

    public function getSolutionTitle(): string
    {
        return 'No default configs found';
    }

    public function getSolutionDescription(): string
    {
        return "You haven't published the default config files.";
    }

    public function getDocumentationLinks(): array
    {
        return [
            'Documentation' => 'https://drp.wiki/books/event-portal/page/no-default-config-found',
        ];
    }
}
