<?php

namespace EventPortal\Tests\Feature\Admin\EventDelegate;

use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Spatie\Snapshots\MatchesSnapshots;

class EventDelegateIndexTest extends TestCase
{
    use DatabaseMigrations, MatchesSnapshots;

    /** @test **/
    public function shows_index(): void
    {
        factory(Delegate::class)->create();
        $event = factory(Event::class)->create();

        $this->assertMatchesJsonSnapshot($this->get(route('admin.event.delegate.index', $event))->props());
    }
}
