<?php

namespace EventPortal\Tests;

use EventPortal\Providers\EventPortalServiceProvider;
use EventPortal\Tests\Support\Assertions\CollectionAssertions;
use EventPortal\Tests\Support\Assertions\PropAssertions;
use EventPortal\Tests\Support\Traits\InteractsWithModels;
use EventPortal\Tests\Support\Traits\InteractsWithResponses;
use Illuminate\Support\Collection;
use Illuminate\Testing\TestResponse;

class TestCase extends \Orchestra\Testbench\TestCase
{
    use InteractsWithModels, InteractsWithResponses;

    public function setUp(): void
    {
        parent::setUp();

        $this->loadMigrationsFrom(base_path('/database/migrations'));

        TestResponse::mixin(new PropAssertions);
        Collection::mixin(new CollectionAssertions);
    }

    protected function getPackageProviders($app)
    {
        return [EventPortalServiceProvider::class];
    }
}
